Last Comment Bug 667864 - Tests more nsHTMLInputElement attributes reflection
: Tests more nsHTMLInputElement attributes reflection
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
Depends on: 668166
Blocks: 586786
  Show dependency treegraph
 
Reported: 2011-06-28 03:53 PDT by Mounir Lamouri (:mounir)
Modified: 2011-09-14 06:03 PDT (History)
1 user (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (15.20 KB, patch)
2011-06-28 03:53 PDT, Mounir Lamouri (:mounir)
Ms2ger: review+
Details | Diff | Review
Patch v1.1 (15.03 KB, patch)
2011-06-29 03:22 PDT, Mounir Lamouri (:mounir)
no flags Details | Diff | Review

Description Mounir Lamouri (:mounir) 2011-06-28 03:53:01 PDT
Created attachment 542413 [details] [diff] [review]
Patch v1
Comment 1 :Ms2ger 2011-06-28 06:57:46 PDT
Comment on attachment 542413 [details] [diff] [review]
Patch v1

--- a/content/html/content/test/forms/test_input_attributes_reflection.html
+++ b/content/html/content/test/forms/test_input_attributes_reflection.html
+// TODO: maybe make those reflections be tested against all input types.

Please do :)

+// .placeholder
+reflectString(document.createElement("input"), "placeholder",
+              [ "foo\nbar", "foo\rbar" ]);

Test CRLF too?

-                           "datetime-local", "number", "range", "color" ]);
+                           "datetime-local", "number", "range", "color" ])

Intentional change?

--- a/content/html/content/test/forms/test_pattern_attribute.html
+++ b/content/html/content/test/forms/test_pattern_attribute.html
-  ok('pattern' in element, "Element should have the pattern attribute");

Might want to copy this to reflect.js, and add is(typeof aElement[aAttr], "string"), too?

--- a/content/html/content/test/reflect.js
+++ b/content/html/content/test/reflect.js
+  stringsToTest = stringsToTest.concat(otherValues);

And this would become otherValues.forEach(function(v) { stringsToTest.push([v, v]) });
 
r=me
Comment 2 Mounir Lamouri (:mounir) 2011-06-29 03:22:51 PDT
Created attachment 542755 [details] [diff] [review]
Patch v1.1

With comments applied.
Comment 3 Mounir Lamouri (:mounir) 2011-06-29 08:41:51 PDT
http://hg.mozilla.org/mozilla-central/rev/7a4a281fc7a9
Comment 4 Ioana (away) 2011-09-14 06:03:35 PDT
Ran the tests referred in the link from the above comment on:
Mozilla/5.0 (Windows NT 6.1; rv:7.0) Gecko/20100101 Firefox/7.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:7.0) Gecko/20100101 Firefox/7.0
Mozilla/5.0 (X11; Linux i686; rv:7.0) Gecko/20100101 Firefox/7.0
Mozilla/5.0 (Windows NT 5.1; rv:7.0) Gecko/20100101 Firefox/7.0

+ Aurora (Fx 8.0a2) & Central (Fx 9.0a1)

All the tests have passed on all the builds.

Note You need to log in before you can comment on or make changes to this bug.